# Lake Shore 211 Temperature Monitor

class pymeasure.instruments.lakeshore.LakeShore211(adapter, name='Lake Shore 211 Temperature Monitor', **kwargs)

  Bases: `SCPIUnknownMixin`, `Instrument`

  Represents the Lake Shore 211 Temperature Monitor and provides a high-level interface for interacting with the instrument.

  Untested properties and methods will be noted in their docstrings.

      controller = LakeShore211("GPIB::1")

      print(controller.temperature_celsius)     # Print the sensor temperature in celsius

  class AnalogMode(value, names=<not given>, *values, module=None, qualname=None, type=None, start=1, boundary=None)

    Bases: `IntEnum`

  class AnalogRange(value, names=<not given>, *values, module=None, qualname=None, type=None, start=1, boundary=None)

    Bases: `IntEnum`

  class RelayMode(value, names=<not given>, *values, module=None, qualname=None, type=None, start=1, boundary=None)

    Bases: `IntEnum`

  class RelayNumber(value, names=<not given>, *values, module=None, qualname=None, type=None, start=1, boundary=None)

    Bases: `IntEnum`

  property analog_configuration

    Control the analog mode and analog range. Values need to be supplied as a tuple of (analog mode, analog range) Analog mode can be 0 or 1

    setting | mode
    0 | voltage
    1 | current

    Analog range can be 0 through 5

    setting | range
    0 | 0 – 20 K
    1 | 0 – 100 K
    2 | 0 – 200 K
    3 | 0 – 325 K
    4 | 0 – 475 K
    5 | 0 – 1000 K

  property analog_out

    Measure the percentage of output of the analog output.

  configure_alarm(on=True, high_value=270.0, low_value=0.0, deadband=0, latch=False)

    Configures the alarm parameters for the input.

    Parameters:

      - on – Boolean setting of alarm, default True

      - high_value – High value the temperature is checked against to activate the alarm

      - low_value – Low value the temperature is checked against to activate the alarm

      - deadband – Value that the temperature must change outside of an alarm condition

      - latch – Specifies if the alarm should latch or not

  configure_relay(relay, mode)

    Configure the relay mode of a relay

    Property is UNTESTED

    Parameters:

      - relay (RelayNumber) – Specify which relay to configure

      - mode (RelayMode) – Specify which mode to assign

  property display_units

    Control the input data to display. Valid entries:

    setting | units
    ‘kelvin’ | Kelvin
    ‘celsius’ | Celsius
    ‘sensor’ | Sensor Units
    ‘fahrenheit’ | Fahrenheit

  get_alarm_status()

    Query the current alarm status

    Returns:

      Dictionary of current status [on, high_value, low_value, deadband, latch]

  get_relay_mode(relay)

    Get the status of a relay

    Property is UNTESTED

    Parameters:

      relay (RelayNumber) – Specify which relay to query

    Returns:

      Current RelayMode of queried relay

  reset_alarm()

    Resets the alarm of the Lakeshore 211

  property temperature_celsius

    Measure the temperature of the sensor in celsius

  property temperature_fahrenheit

    Measure the temperature of the sensor in fahrenheit

  property temperature_kelvin

    Measure the temperature of the sensor in kelvin

  property temperature_sensor

    Measure the temperature of the sensor in sensor units